#! /bin/csh -f

set echo

set dir = ~/.co/clmp
set rep = $dir/rep
set data = $dir/data
set tmp = $dir/tmp
set courses = `awk '{print $1}' $data/courses`
set last = `echo courses | awk '{print $NF}'`

set prec = ""
foreach c ($courses)
	if ($prec != "") then
		mv $data/$c/ind.pt $data/$c/ind.pt.old
		cp $rep/$prec.ind.pt $data/$c/ind.pt
		mv $data/$c/clb.pt $data/$c/clb.pt.old
		cp $rep/$prec.clb.pt $data/$c/clb.pt
		mv $data/$c/jeun.pt $data/$c/jeun.pt.old
		cp $rep/$prec.jeun.pt $data/$c/jeun.pt
		mv $data/$c/particip.pt $data/$c/particip.pt.old
		cp $rep/$prec.particip.pt $data/$c/particip.pt
	endif
	echo "***** clmp $c *****"
	if ($c == $last) then
		clmp $c
	else
		clmp $c reclasser
	endif
	if ($status) exit $status
	set prec = $c
end
